<bugID>425726<Summary>Unified Queries are not yet implemented, but the idl is hiding the fact.</Summary><Description>Created attachment 312292
Specific test for this issue

When performing a unified query over a set of history and bookmarks, the returned resultNode object is not properly contructed. the hasChildren attribute is set to true, but when you attempt to access any of those children or if you even access childCount you get the following exception thrown:
Exception... "Component returned failure code: 0x80040111 (NS_ERROR_NOT_AVAILABLE) [nsINavHistoryContainerResultNode.childCount]"  nsresult: "0x80040111 (NS_ERROR_NOT_AVAILABLE)"  location: "JS frame :: ../../../../_tests/xpcshell-simple/test_places/queries/test_onlybookmark-tags-unified.js :: run_test :: line 137"  data: no]

I will attach a test for this behavior.

Basic STR:
1. Create a database with information in both history and bookmarks
2. Query for that with a UNIFIED query.
3. Loop through the ContainerResultNode object and display all the information you queried for.

== Expected == 
Proper ResultNode object returned

== Actual ==
ResultNode object that is returned seems mis-constructed.</Description></bugID>